From e89eba0796b3469f1d2cdbb600309f6231a8169d Mon Sep 17 00:00:00 2001
From: "duncan.hopkins" <duncan.hopkins@foundry.com>
Date: Tue, 26 Nov 2024 10:18:28 +0000
Subject: [PATCH] glx: change `#if` guard around `dri_common.h` to stop missing
 'driDestroyConfigs' symbol on MacOS builds.

Reviewed-By: Adam Jackson <ajax@redhat.com>
Part-of: <https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/32568>
---
 src/glx/glxext.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/glx/glxext.c b/src/glx/glxext.c
index b03554487c36b..433230a62664a 100644
--- src/glx/glxext.c
+++ src/glx/glxext.c
@@ -28,7 +28,7 @@
 #include "glxextensions.h"
 
 #include "util/u_debug.h"
-#ifndef GLX_USE_APPLEGL
+#if defined(GLX_DIRECT_RENDERING) && (!defined(GLX_USE_APPLEGL) || defined(GLX_USE_APPLE))
 #include "dri_common.h"
 #endif
 
-- 
GitLab
